Description

It would be neat if stuff like album art, EQ and visualizer, could be docked into the main window.

Thanks

History

#1 - February 11, 2021 10:19 - Edd Barrett

(I realise that the album art and a spectrum analyser are shown in the bottom bar, but they are small and you can't resize the bar)

#2 - February 11, 2021 17:17 - Edd Barrett

According to #1022 this should be possible in 4.1, but I can't see how to.

Is it only available on the QT interface perhaps?

#3 - February 11, 2021 18:57 - Thomas Lange

Is it only available on the QT interface perhaps?

 

Yes and no. ;)

The GTK interface allows docking of most plugins (like album art, visualizers, playlist manager), but not the equalizer or the queue manager.

The Qt interface also supports docking of the equalizer and queue manager since version 4.1.

See also: http://www.webupd8.org/2011/04/audacious-250-released-with-option-to.html

#4 - February 12, 2021 16:56 - Edd Barrett

Thanks.

After watching the video in your link, I managed to dock stuff in GTK, but I had a hard time getting things the right size.

I've tried the QT GUI and it's much nicer :)

I notice that any pane you dock the EQ into can not be resized horizontally. I guess this is the same as #1066.

March 13, 2024 1/2

http://redmine.audacious-media-player.org/issues/1022
http://www.webupd8.org/2011/04/audacious-250-released-with-option-to.html
http://redmine.audacious-media-player.org/issues/1066


#5 - February 26, 2021 21:25 - Jim Turner

Wow, I've been using Audacious for years and have worked on and even forked a lot of the code, but somehow I never knew a/b dockability in the

GTK version!  I watched the video, tried it, and it works great (even better than Qt, b/c you can dock on either side)!  Thanks for posting this, it should

be mentioned as an Audacious bullet-point.

Thanks!

Jim

#6 - April 13, 2021 03:58 - John Lindgren

- Status changed from New to Closed

- Tracker changed from Feature to Support

You can dock things on both sides with Qt too.

Sounds like we can go ahead and close this.
